/**@file

// unLaserDeprecated.ctl
This library contains all the deprecated functions from unLHCLaser.

@par Creation Date
  12/11/2019

@author
  Riku-Pekka Silvola (BE-ICS-FD)
*/

#uses "LHCServices_Config"	 //load dll or so file

/** Convert config file in old text format to xml format that can be read by the API-Manager

@param  	filePathName, string, in/out, full pathname of the config file
@return  true on success, false on error
@deprecated 2019-11-12
*/
public bool unLaser_convertConfigFileToXml(string &filePathName)
{
  FWDEPRECATED();
  mapping data = unLaser_parse4XMLconversion(filePathName);           
  filePathName = unLaser_convertToXML(filePathName, data);   
  return true;  
}


/** Parse text config file and return the content

@param: 	sConfigPath, string, input, Path
@return:    mResult,     mapping, containing config file's content
@deprecated 2019-11-12

@TODO: Re-implement this function in an understandable way and eliminate dependency on LHCServices_Config
*/
private mapping unLaser_parse4XMLconversion(string sConfigPath)
{
  FWDEPRECATED();
  mapping mResult;
  
  dyn_string Select; 
  dyn_string Type;  
  dyn_string Alias; 
  dyn_string Dpe; 
  dyn_string Name; 
  dyn_string Description;
  dyn_string Range; 
  dyn_string dState; 
  dyn_string FF; 
  dyn_string FM; 
  dyn_string FC;   
  dyn_string Limit; 
  dyn_int Line; 
  bool bError;  
   
  string sSelect, sType, sDescription, sName, sDpe, sFC, sFM, sFF, sRange, sState, sAlias, sLimit;
  int i, len, iLen_Range,j,len2,iNbLine=0,iStart ;
  int c_DESCRIPTION=2, c_FF=3, c_FM=4, c_FC=5, c_STATE=6, c_Limit=7;
  float fMax, fIndex;
  dyn_string dsFileLines, dsSplitRange;
  dyn_dyn_string ddsFile;
  bool bDefined;  
  string ERROR_VALUE="";
  
    progressBar.visible(true);
  
    if (isFunctionDefined("ctrlConfRead"))
    {
        ctrlConfRead(sConfigPath,ddsFile);
        
		len=dynlen(ddsFile);
		fMax=len;
		for (i=1;i<=len;i++) //read each statement
		{				
			int l=1;
			dsFileLines=ddsFile[i];
			len2=dynlen(dsFileLines);
			fIndex=i;

			progressBar.progress(fIndex/fMax*100);
			if(patternMatch("*[*]*", dsFileLines[l]))
			{
				switch (dsFileLines[l]) 
                {
					case "[BOOLEAN]":
					case "[FLOAT]":
					case "[INTEGER]":
					case "[UNSIGNED]":
                        sType=dsFileLines[l];
                        bDefined=true; 
						break;
					default:
						bDefined=false;
				}	
						
				if(len2!=1) {
					dynAppend(Select,"F");
					dynAppend(Type,sType);
					dynAppend(Dpe,ERROR_VALUE);
					dynAppend(Alias,ERROR_VALUE);
					dynAppend(Line,iNbLine);		
					dynAppend(Description,ERROR_VALUE);
					dynAppend(Range,ERROR_VALUE);
					dynAppend(dState,ERROR_VALUE);
					dynAppend(FF,ERROR_VALUE);
					dynAppend(FC,ERROR_VALUE);
					dynAppend(FM,ERROR_VALUE);
					dynAppend(Name,ERROR_VALUE);
					bError=true;
				}
				iNbLine++;
			} //End pattern type
			else //if(dsFileLines[l]!="")
			{
				if((bDefined)&(dsFileLines[l]==""))
				{
					iNbLine++;
					l++;
					if(patternMatch("*dpe=*", dsFileLines[l]))
					{
						sDpe=substr(dsFileLines[l], strpos(dsFileLines[l],"=")+1,strlen(dsFileLines[l]));
						l++;
						iNbLine++;
						if(patternMatch("*alias=*", dsFileLines[l]))
						{
							sAlias=substr(dsFileLines[l], strpos(dsFileLines[l],"=")+1,strlen(dsFileLines[l]));
							l++;			
							if(patternMatch("*name=*", dsFileLines[l]))
							{
								sName=substr(dsFileLines[l], strpos(dsFileLines[l],"=")+1,strlen(dsFileLines[l]));
								l++;						
								sSelect="X";
							} //End pattern name
							else
							{
								sSelect="F";
								sName=ERROR_VALUE;
								bError=true;
								if(!patternMatch("*range=*", dsFileLines[l])) l++;
							}			
						} //End pattern alias
						else
						{
							sSelect="F";
							sAlias=ERROR_VALUE;
							bError=true;
						}
						
					}// End pattern dpe
					else //dpe ERROR
					{
						sSelect="F";
						sDpe=ERROR_VALUE;
						sAlias=ERROR_VALUE;
						sName=ERROR_VALUE;
						bError=true;	
					}
                    
					dynAppend(Name,sName);
					dynAppend(Type,sType);
					dynAppend(Alias,sAlias);
					dynAppend(Dpe,sDpe);
                        
					if (sType == "[FLOAT]" || sType == "[INTEGER]" || sType == "[UNSIGNED]")	
                        iStart=1;
					else 
                        iStart=0;
						
					for(j=0; j<=len2-l; j++)
					{						
						iNbLine++;
						int temp = j+iStart;
						if(patternMatch("*range="+temp+"*", dsFileLines[j+l]))
						{
							dsSplitRange=strsplit(dsFileLines[j+l], ";");
							iLen_Range=dynlen(dsSplitRange);
									
							if (iLen_Range>=5)	
							{
                                //tha prepei na elenksw oti yparxoun ta range=;description=;ff=;fm=;fc=;
                                //meta an einai ta range 6 + na eleksw gia gia state
                                // an megalitera tou 7 + limit!
								
								// loose translation of above comment
								// check that all fields exists i.e. range=;description=;ff=;fm=;fc=;
								// if range is 6 or more, check for state
								// if range 7 or more, check for limit
								                                        
								if(j>0)
								{	
									dynAppend(Type,"");
									dynAppend(Alias,"");
									dynAppend(Dpe,"");
									dynAppend(Name,"");											
								}
                    
								dynAppend(Line,iNbLine);
								dynAppend(Select,sSelect);
								sDescription= substr(dsSplitRange[c_DESCRIPTION], strpos(dsSplitRange[c_DESCRIPTION],"=")+2,strlen(dsSplitRange[c_DESCRIPTION])-15);
								sFF= substr(dsSplitRange[c_FF], strpos(dsSplitRange[c_FF],"=")+1, strlen(dsSplitRange[c_FF]));
								sFM= substr(dsSplitRange[c_FM], strpos(dsSplitRange[c_FM],"=")+1, strlen(dsSplitRange[c_FM]));
								sFC= substr(dsSplitRange[c_FC], strpos(dsSplitRange[c_FC],"=")+1, strlen(dsSplitRange[c_FC]));
								if (iLen_Range>=c_STATE)
								{
									sState = substr(dsSplitRange[c_STATE], strpos(dsSplitRange[c_STATE],"=")+1,strlen(dsSplitRange[c_STATE]));
                                    if (iLen_Range>=c_Limit) //If state is specified check if any limit is specified
                                    {
                                        sLimit = substr(dsSplitRange[c_Limit], strpos(dsSplitRange[c_Limit],"limit")+5,strlen(dsSplitRange[c_Limit]));                      
                                    }
								}
								else
								{
									if(sType == "[FLOAT]" || sType == "[INTEGER]" || sType == "[UNSIGNED]") sState = "";
									if(sType == "[BOOLEAN]")  sState = "";	sLimit = "";  // BUG! sLimit always set to "" as only sState=""; is affected by the preceeding if.
								}
								dynAppend(Range,temp);
								dynAppend(Description,sDescription);
								dynAppend(FF,sFF);
								dynAppend(FC,sFC);
								dynAppend(FM,sFM);                    
								dynAppend(dState,sState);
								dynAppend(Limit,sLimit);                    
							} //end if iLen_Range >=5
							else
							{
								if(j>0)
								{	
									dynAppend(Type,"");
									dynAppend(Alias,"");
									dynAppend(Dpe,"");
									dynAppend(Name,"");
								}
								dynAppend(Description,ERROR_VALUE);
								dynAppend(Range,ERROR_VALUE);
								dynAppend(dState,ERROR_VALUE);
								dynAppend(FF,ERROR_VALUE);
								dynAppend(FC,ERROR_VALUE);
								dynAppend(FM,ERROR_VALUE);
								dynAppend(Limit,ERROR_VALUE);                    
								bError=true;
							}
						}//End range j
						else
						{
							if(j>0)
							{	
								dynAppend(Type,"");
								dynAppend(Alias,"");
								dynAppend(Dpe,"");
								dynAppend(Name,"");
							}
							dynAppend(Line,iNbLine);
							dynAppend(Description,ERROR_VALUE);
							dynAppend(Range,ERROR_VALUE);
							dynAppend(dState,ERROR_VALUE);
							dynAppend(FF,ERROR_VALUE);
							dynAppend(FC,ERROR_VALUE);
							dynAppend(FM,ERROR_VALUE);
							dynAppend(Limit,ERROR_VALUE);                                        
							dynAppend(Select,"F");
							bError=true;
						}//End range error
								
					}//End for
				}
				else //first element error
				{
					dynAppend(Select,"F");
					dynAppend(Type,ERROR_VALUE);
					dynAppend(Alias,ERROR_VALUE);
					dynAppend(Dpe,ERROR_VALUE);
					dynAppend(Line,iNbLine);		
					dynAppend(Description,ERROR_VALUE);
					dynAppend(Range,ERROR_VALUE);
					dynAppend(dState,ERROR_VALUE);
					dynAppend(FF,ERROR_VALUE);
					dynAppend(FC,ERROR_VALUE);
					dynAppend(FM,ERROR_VALUE);
					dynAppend(Limit,ERROR_VALUE);                              
					dynAppend(Name,ERROR_VALUE);
					bError=true;
				}
			} //End else pattern type
		} //End for
	}//End if function defined
	else
	{
	    DebugN("DLL not defined");
	    bError=true;
	}//End function not defined
    
    progressBar.visible(false);
    
    mResult["Selected"] = Select;
    mResult["Type"] = Type;
    mResult["Alias"] = Alias;
    mResult["Dpe"] = Dpe;
    mResult["Name"] = Name;
    mResult["Description"] = Description;
    mResult["Range"] = Range;
    mResult["State"] = dState;
    mResult["FF"] = FF;
    mResult["FM"] = FM;
    mResult["FC"] = FC;
    mResult["Limit"] = Limit;
    mResult["Line"] = Line;  
    mResult["bError"] = bError;
    return mResult;    
}


/** Convert .txt configuration file to .xml configuration file

@param xmlFilePath,   string, input, Filepath
@param m,             mapping, config data

@return               string, the new converted xml filepath.
*/
private string unLaser_convertToXML(string xmlFilePath, mapping &m)
{ 
    if(getExt(xmlFilePath) !="")
        xmlFilePath = delExt(xmlFilePath);
    xmlFilePath+=".xml";
  
    file xmlFile = fopen(xmlFilePath,"w"); 
    
    //root xml file node.
    string xmlnsXsi = unLaser_createXmlAttribute("xmlns:xsi", "http://www.w3.org/2001/XMLSchema-instance"); 
    string xmlnsXSD = unLaser_createXmlAttribute("xmlns:laserXSD", "http://en-dep.web.cern.ch/en-dep/structure/ICE/"); 
    fputs("<laserXSD:configFile " + xmlnsXsi + xmlnsXSD + ">\n", xmlFile);       

    for(int i=1; i<=dynlen(m["Type"]); i++)
    {
        if(m["Selected"][i] == "F")
          continue;

        if(patternMatch("*[*]*", m["Type"][i]))
        {     
            string xmlDpe = unLaser_createXmlAttribute("Dpe", m["Dpe"][i]);
            string tempType = strrtrim(strltrim(m["Type"][i],"["),"]"); 
            string xmlType = unLaser_createXmlAttribute("Type", tempType);           
            string xmlAlias = unLaser_createXmlAttribute("Alias", m["Alias"][i]);     
            string xmlName = unLaser_createXmlAttribute("Name", m["Name"][i]);           

            fputs(" <Datapoint " + xmlDpe + xmlType + xmlAlias + xmlName + "T_mode=\"false\">\n", xmlFile); 
                  
            int j = i;
            do
            {
                if(m["Selected"][j] == "X") {
       
                    string xmlRange = unLaser_createXmlAttribute("Num", m["Range"][j]); 
                    strreplace(m["Description"][j], "\"", "");
                    string xmlDescription = unLaser_createXmlAttribute("Description", m["Description"][j]);      
                    string xmlFF = unLaser_createXmlAttribute("FF", m["FF"][j]);     
                    string xmlFM = unLaser_createXmlAttribute("FM", m["FM"][j]);       
                    string xmlFC = unLaser_createXmlAttribute("FC", m["FC"][j]);       
                    string xmlState = unLaser_createXmlAttribute("State", m["State"][j]);    
                    string xmlLimit = unLaser_createXmlAttribute("Limit", m["Limit"][j]);                        

                    fputs("  <Range " + xmlRange + xmlDescription + xmlFF + xmlFM + xmlFC + xmlState + xmlLimit + "/>\n", xmlFile);      
                }            
                    
                if (j == dynlen(m["Type"])) // if last element dont continue
                    break;
                                
                j++; 
                
            } while(m["Type"][j]=="");
            
            fputs(" </Datapoint>\n",xmlFile); 
        }
  }
  fputs("</laserXSD:configFile>\n",xmlFile); 
  fflush(xmlFile);  
  fclose(xmlFile); // close file
  return xmlFilePath;
}

/** Convert config file key value pair to an xml entity

@param  	string key
@param   string value
@return  xml representation of the key value pair
@deprecated 2019-11-12
*/
private string unLaser_createXmlAttribute(string key,  string value)
{
    FWDEPRECATED();
    if(value != "") {
        return (key + "=\"" + value + "\" ");   
    }
    return ("");
}
